24757625 Re-introduce the mccabe extension when the Python mccabe module is available
authorRich Burridge <rich.burridge@oracle.com>
Wed, 23 Nov 2016 08:28:41 -0800
changeset 7381 7624a1952164
parent 7380 9b10da7f93cc
child 7382 76874cb9666f
24757625 Re-introduce the mccabe extension when the Python mccabe module is available
components/python/pylint/patches/01-remove-mccabe.patch
components/python/pylint/pylint-PYVER.p5m
--- a/components/python/pylint/patches/01-remove-mccabe.patch	Tue Nov 22 15:08:33 2016 +0100
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,25 +0,0 @@
-Remove the pylint mccabe extension until the Python mccabe module is
-available in Userland/Solaris.
-
-These changes will not be sent upstream (and are only temporary).
-
---- pylint-1.6.4/pylint/__pkginfo__.py.orig	2016-09-29 09:22:05.276892599 +0000
-+++ pylint-1.6.4/pylint/__pkginfo__.py	2016-09-29 09:22:15.294658505 +0000
[email protected]@ -19,7 +19,6 @@
-     'astroid>=1.4.5,<1.5.0',
-     'six',
-     'isort >= 4.2.5',
--    'mccabe',
- ]
- 
- extras_require = {}
---- pylint-1.6.4/pylint.egg-info/requires.txt.orig	2016-09-29 09:23:04.147211978 +0000
-+++ pylint-1.6.4/pylint.egg-info/requires.txt	2016-09-29 09:23:17.057516302 +0000
[email protected]@ -1,7 +1,6 @@
- astroid>=1.4.5,<1.5.0
- six
- isort >= 4.2.5
--mccabe
- 
- [:python_version=="2.7"]
- configparser
--- a/components/python/pylint/pylint-PYVER.p5m	Tue Nov 22 15:08:33 2016 +0100
+++ b/components/python/pylint/pylint-PYVER.p5m	Wed Nov 23 08:28:41 2016 -0800
@@ -90,6 +90,7 @@
 file path=usr/lib/python$(PYVER)/vendor-packages/pylint/extensions/check_elif.py
 file path=usr/lib/python$(PYVER)/vendor-packages/pylint/extensions/docparams.py
 file path=usr/lib/python$(PYVER)/vendor-packages/pylint/extensions/docstyle.py
+file path=usr/lib/python$(PYVER)/vendor-packages/pylint/extensions/mccabe.py
 file path=usr/lib/python$(PYVER)/vendor-packages/pylint/graph.py
 file path=usr/lib/python$(PYVER)/vendor-packages/pylint/gui.py
 file path=usr/lib/python$(PYVER)/vendor-packages/pylint/interfaces.py
@@ -134,6 +135,9 @@
 # this out.
 depend type=require fmri=library/python/logilab-common-$(PYV)
 
+# force a dependency on mccabe; pkgdepend work is needed to flush this out.
+depend type=require fmri=library/python/mccabe-$(PYV)
+
 # force a dependency on repoze.lru-27; pkgdepend work is needed to flush
 # this out.
 $(PYTHON_2.7_ONLY)depend type=require fmri=library/python/repoze.lru-27